#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=100
firstrun=1

for i in 1 10 100
do
    for j in 0.1 0.3 1 3 10 30 100 300 1000 3000 10000
    do

        if [ $firstrun == 1 ]
        then
            dogridding=1
            firstrun=0
        else dogridding=0
        fi

        echo "... processing run v0_para = $i km/s, v0_perp = $j km/s"
        ./lime.x --dogridding $dogridding --doraytracing 0 --ininphot $ininphot --uservar1 $i --uservar2 $j

    done
done
