#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
firstrun=1
i_beg=0;
i_end=25;
i_inc=1;
for ((i_now = $i_beg; i_now <= $i_end; i_now += $i_inc))
do

    if [ $firstrun == 1 ]
    then
        dogridding=1
        firstrun=0
    else dogridding=0
    fi

    npm=`echo "scale=1 ; 0.1*$i_now" | bc`
    echo "... processing run npm = $npm"
    ./lime.x --dogridding $dogridding --dolevelpopulations 0 --setlevelpopulations 1 --nb 2.0 --n0 1.0 --npm $npm

done
