#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
i_beg=0;
i_end=90;
i_inc=5;
for ((i_now = $i_beg; i_now <= $i_end; i_now += $i_inc))
do

    i_now_string=$(printf "%02d" "$i_now")
    echo "... processing run $i_now_string"
    ./lime.x --dolevelpopulations 0 --setlevelpopulations 1 --nb 2.0 --n0 1.0 --npm 1.1 --uservar4 $i_now

done
