#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
for i_now in 1e+2 3e+2 1e+3 3e+3 1e+4
do

    echo "... processing run $i_now"
    ./lime.x --dolevelpopulations 0 --setlevelpopulations 1 --nb 2.0 --n0 1.0 --npm 1.1 --uservar4 $i_now

done
