#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
firstrun=1
i_beg=1;
i_end=2048;
i_fac=2;
for ((i_now = $i_beg; i_now <= $i_end; i_now *= $i_fac))
do

    echo "... processing run ininphot = $i_now"

    if [ $firstrun == 1 ]
    then
        dogridding=1
        firstrun=0
    else dogridding=0
    fi

    ./lime.x --dogridding $dogridding --doraytracing 0 --ininphot $i_now

done
