#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=300

i_beg=16;
i_end=8192;

i_fac=2;
for ((i_now = $i_beg; i_now <= $i_end; i_now *= $i_fac))
do

    echo "... processing run Ncells = $i_now"
    ./lime.x --doraytracing 0 --ininphot $ininphot --uservar1 $i_now

done
