#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
#rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=300

Ncells=8192
i_beg=1
i_end=100

for ((i_run = $i_beg; i_run <= $i_end; i_run += 1))
do

    echo "$i_run / $i_end ... processing a run with Ncells = $Ncells"
    ./lime.x --doraytracing 0 --ininphot $ininphot --uservar1 $Ncells
    mv output/Ncells=${Ncells}_pops.out output/Ncells=${Ncells}_pops_${i_run}.out

done
