#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=100
firstrun=1

for i in 1e+1 3e+1 1e+2 3e+2 6e+2 1e+3 2e+3 3e+3 4e+3 5e+3 6e+3 7e+3 8e+3 1e+4 2e+4 3e+4 4e+4 5e+4 6e+4 7e+4 8e+4 9e+4 1e+5
do

    if [ $firstrun == 1 ]
    then
        dogridding=1
        firstrun=0
    else dogridding=0
    fi

    echo "... processing run rho0 = $i cm^-3"
    ./lime.x --dogridding $dogridding --doraytracing 0 --ininphot $ininphot --uservar1 $i

done
