#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=100
firstrun=1

for i in 0 1
do

    if [ $firstrun == 1 ]
    then
        dogridding=1
        firstrun=0
    else dogridding=0
    fi

    echo "... processing run config = $i"
    ./lime.x --dogridding $dogridding --doraytracing 0 --ininphot $ininphot --uservar1 $i

done
