#!/bin/sh

set -e

#
# compile:
#
make clean
make

#
# remove previus results:
#
rm -f output/*.out output/*.fits

#
# run tests:
#
ininphot=300
firstrun=1

for i in 0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 0.99999
do

    if [ $firstrun == 1 ]
    then
        dogridding=1
        firstrun=0
    else
        dogridding=0
    fi

    echo "... processing run f = $i"
    ./lime.x --dogridding $dogridding --doraytracing 0 --ininphot $ininphot --uservar1 $i

done
